Skip to main content
GET
/
customers
/
{id}
Get customer
curl --request GET \
  --url https://eu.sequencehq.com/api/customers/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/customers/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "e309e948-088e-4d77-b654-cd85498f1555",
  "createdAt": "2021-01-02T10:55:00Z",
  "organizations": [
    {
      "id": "c0dc4e79-ec52-4811-8cf5-addb2527915c",
      "owner": {
        "id": "50af5191-05a3-42a5-802a-6b59091157af",
        "name": "FinTech Solutions Inc."
      },
      "members": [
        {
          "id": "e309e948-088e-4d77-b654-cd85498f1555",
          "name": "Fintech Payment Processing"
        },
        {
          "id": "50af5191-05a3-42a5-802a-6b59091157af",
          "name": "Fintech Lending Services"
        }
      ]
    }
  ],
  "legalName": "Fintech Payment Processing",
  "address": {
    "line1": "7500 Bluewater Rd NW",
    "town": "Albuquerque",
    "state": "NY",
    "postcode": "87121",
    "country": "US"
  },
  "url": "https://example.com/",
  "domain": "example.com",
  "label": "Example customer",
  "integrationIds": [
    {
      "service": "Xero",
      "id": "2aaff66f-ef30-4599-b192-c168fd4cd226",
      "lastSynced": "2024-03-28T16:47:00Z",
      "isPending": false
    },
    {
      "service": "Stripe",
      "id": "cus_OCtCxqQDgu1uX9",
      "lastSynced": "2024-03-28T16:47:00Z",
      "isPending": false
    }
  ],
  "archivedAt": "2025-08-28T12:00:00Z",
  "taxStatus": "TAXED",
  "contacts": [
    {
      "id": "9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc",
      "name": "John Smith",
      "email": "john.smith@example.com",
      "billingPreference": "NONE",
      "createdAt": "2022-06-28T16:47:00Z",
      "updatedAt": "2022-06-28T16:47:00Z",
      "archivedAt": "2023-06-28T16:47:00Z"
    }
  ],
  "status": "ACTIVE",
  "customProperties": {
    "region": "EU",
    "tier": "gold"
  }
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Customer ID

Response

OK

id
string
required

Unique ID

Example:

"e309e948-088e-4d77-b654-cd85498f1555"

createdAt
string
required

Time at which the customer was initially created, in ISO 8601 format

Example:

"2021-01-02T10:55:00Z"

organizations
object[]
required

Organizations that this customer is a member of

Example:
[
{
"id": "c0dc4e79-ec52-4811-8cf5-addb2527915c",
"owner": {
"id": "50af5191-05a3-42a5-802a-6b59091157af",
"name": "FinTech Solutions Inc."
},
"members": [
{
"id": "e309e948-088e-4d77-b654-cd85498f1555",
"name": "Fintech Payment Processing"
},
{
"id": "50af5191-05a3-42a5-802a-6b59091157af",
"name": "Fintech Lending Services"
}
]
}
]

Legal name

Example:

"Fintech Payment Processing"

address
object
required

Address

Example:
{
"line1": "Flat 1",
"line2": "123 Fake Street",
"town": "New York",
"state": "NY",
"postcode": "AB1 2EF",
"country": "US"
}
integrationIds
object[]
required

External services which are linked to this customer

Example:
[
{
"service": "Xero",
"id": "2aaff66f-ef30-4599-b192-c168fd4cd226",
"lastSynced": "2024-03-28T16:47:00Z",
"isPending": false
},
{
"service": "Stripe",
"id": "cus_OCtCxqQDgu1uX9",
"lastSynced": "2024-03-28T16:47:00Z",
"isPending": false
}
]
taxStatus
enum<string>
required

Tax status applicable to customer. Can be one of TAXED, TAX_EXEMPT or REVERSE_CHARGED. The default is TAXED.

Available options:
TAXED,
TAX_EXEMPT,
REVERSE_CHARGED
Example:

"TAXED"

contacts
object[]
required

Contacts for this customer

Example:
[
{
"id": "9a1e38a9-4dc9-776f-f974-4e7ee9f4d6cc",
"name": "John Smith",
"email": "john.smith@example.com",
"billingPreference": "NONE",
"createdAt": "2022-06-28T16:47:00Z",
"updatedAt": "2022-06-28T16:47:00Z",
"archivedAt": "2023-06-28T16:47:00Z"
}
]
status
enum<string>
required

Customer status:

  • DRAFT means the customer has been extracted from a contract and has not yet been approved. It cannot be used while it is in DRAFT.
  • ACTIVE is the default state when a customer is created via API or dashboard.
Available options:
DRAFT,
ACTIVE
Example:

"ACTIVE"

customProperties
object
required

Custom key-value properties for this customer

Example:
{ "region": "EU", "tier": "gold" }
url
string

URL

Example:

"https://example.com/"

domain
string

Customer's primary domain name

Example:

"example.com"

label
string

Label

Example:

"Example customer"

archivedAt
string

Time at which the customer was archived, in ISO 8601 format

Example:

"2025-08-28T12:00:00Z"